View All SIP Trunk
GET /api/v1/sip/trunks
Operation id: get__api_v1_sip_trunks
Description
Lists all SIP Trunk
Tags: SipTrunk
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | page number for returned records |
page_size | integer | No | number of records to return per page. |
site_id | integer | No | site/region id of required records |
sort_by | string | No | record field to sort by |
sort_order | string | No | direction to sort records |
tenant_id | string | Yes | tenant id of required records |
trunk_name | string | No | trunk name of required records |
Security
- PhoenixToken-Authorization (apiKey)
- PhoenixToken-Authorization
Responses
200 — OK
Content type: application/json
400 — Bad Request
Content type: application/json
500 — Internal Server Error
Content type: application/json
Response models
200 — OK
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
sip_trunks | array | No | |
total_rows | integer | No |
{
"type": "object",
"properties": {
"sip_trunks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"customer_id": {
"type": "integer"
},
"id": {
"type": "integer"
},
"params": {
"type": "array",
"items": {
"type": "integer"
}
},
"sbc_name": {
"type": "string"
},
"site_id": {
"type": "integer"
},
"site_name": {
"type": "string"
},
"trunk_name": {
"type": "string"
},
"updated_at": {
"type": "string"
}
}
}
},
"total_rows": {
"type": "integer"
}
}
}
400 — Bad Request
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}
500 — Internal Server Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"example": 0
},
"message": {
"type": "string",
"example": "Success"
}
}
}